# Interface ISectionPropertiesOptions

#### Hierarchy

- ISectionPropertiesOptions

- Defined in file/document/body/section-properties/section-properties.ts:26

#####
Index

### Properties

column?
footerWrapperGroup?
grid?
headerWrapperGroup?
lineNumbers?
page?
titlePage?
type?
verticalAlign?

## Properties

### `Optional` `Readonly` column

column?: IColumnsAttributes

- Defined in file/document/body/section-properties/section-properties.ts:40

### `Optional` `Readonly` footerWrapperGroup

footerWrapperGroup?: IHeaderFooterGroup < FooterWrapper >

- Defined in file/document/body/section-properties/section-properties.ts:36

### `Optional` `Readonly` grid

grid?: IDocGridAttributesProperties

- Defined in file/document/body/section-properties/section-properties.ts:34

### `Optional` `Readonly` headerWrapperGroup

headerWrapperGroup?: IHeaderFooterGroup < HeaderWrapper >

- Defined in file/document/body/section-properties/section-properties.ts:35

### `Optional` `Readonly` lineNumbers

lineNumbers?: ILineNumberAttributes

- Defined in file/document/body/section-properties/section-properties.ts:37

### `Optional` `Readonly` page

page?: {
borders?: IPageBordersOptions ;
margin?: IPageMarginAttributes ;
pageNumbers?: IPageNumberTypeAttributes ;
size?: IPageSizeAttributes ;
textDirection?: "lrTb" | "tbRl";
}

#### Type declaration

- ##### `Optional` `Readonly` borders?: IPageBordersOptions

- ##### `Optional` `Readonly` margin?: IPageMarginAttributes

- ##### `Optional` `Readonly` pageNumbers?: IPageNumberTypeAttributes

- ##### `Optional` `Readonly` size?: IPageSizeAttributes

- ##### `Optional` `Readonly` textDirection?: "lrTb" | "tbRl"

- Defined in file/document/body/section-properties/section-properties.ts:27

### `Optional` `Readonly` titlePage

titlePage?: boolean

- Defined in file/document/body/section-properties/section-properties.ts:38

### `Optional` `Readonly` type

type?: "continuous" | "nextPage" | "nextColumn" | "evenPage" | "oddPage"

- Defined in file/document/body/section-properties/section-properties.ts:41

### `Optional` `Readonly` verticalAlign

verticalAlign?: "bottom" | "center" | "top"

- Defined in file/document/body/section-properties/section-properties.ts:39

Generated using TypeDoc